Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language (extended) | Libraries | Comparison | Changes

## bitRead()

#### Description

Reads a bit of a number.

#### Syntax

bitRead(x, n)

#### Parameters

x: the number from which to read

n: which bit to read, starting at 0 for the least-significant (rightmost) bit

#### Returns

the value of the bit (0 or 1).

#### See also

- bit()
- bitWrite()
- bitSet()
- bitClear()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Edit Page | Page History | Printable View | All Recent Site Changes